> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new Track



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json post /api/entities/track
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/entities/track:
    post:
      tags:
        - Track
      summary: Create a new Track
      operationId: createTrack
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Track'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                properties:
                  id:
                    type: string
                type: object
          description: Created
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Validation error
      security:
        - BearerAuth: []
components:
  schemas:
    Track:
      properties:
        color:
          type: string
        eventId:
          type: string
        id:
          type: string
        name:
          type: string
        orgId:
          type: string
        sortOrder:
          type: integer
      required:
        - id
        - orgId
        - eventId
        - name
        - sortOrder
      type: object
    Error:
      properties:
        error:
          properties:
            code:
              type: string
            hint:
              type: string
            message:
              type: string
          required:
            - code
            - message
          type: object
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````